Description

| have another idea for decoration lights. It would be some sort of density. It would always create at least one light centered on the
surface. If the surface was big enough, then it could create more.

Example use: textures that are like LITE5. So if just a 16*8 part of it was used, it would create one light. Even 16*64 could just create
one light, but then use it 16*128 and there could be two lights.

This kind of lights probably wouldn't care about the texture offsets or move if the texture moved. Of course they should move with the
surface if it moved. More lights could possibly appear if the surface became larger, and their positions probably move, so that they're
equally spaced on the surface. Though it might result in some sudden light position movement when new lights appear.

Two connecting floors, ceilings or walls that have the same texture, should probably be considered as one surface, unless there were
some height difference or major angle difference, like a 270 degree corner.

Labels: Graphics

History

#1 - 2011-04-08 22:18 - danij

| have read this through numerous times in an attempt to wrap my head around your suggestion but I've no idea what you are suggesting. What are
you trying to achieve?

#2 - 2011-04-08 22:19 - jimigrey

Ok, | made some image that might explain it a bit better, | hope.
#3 - 2011-04-08 23:08 - jimigrey
Image with more explanation

Attachments:
e http://sourceforge.net/p/deng/feature-requests/_discuss/thread/a6b04f0b/cc02/attachment/light_deco_density.png

#4 - 2011-04-08 23:27 - danij

Perhaps it would help if you could explain what this placement method is intended to enable and/or examples of when it would be used.
#5 - 2011-04-08 23:27 - jimigrey
72 lights vs 9 lights

Attachments:

e http://sourceforge.net/p/deng/feature-requests/_discuss/thread/a6b04f0b/7681/attachment/sw_72_vs_9_lights.jpg

#6 - 2011-04-08 23:31 - jimigrey

It's easier to align LITES kind of lights to floors and ceilings, as they can be fitted nearly anywhere. But that kind of textures would create a lot of lights
if it's used on a larger area. Pattern skip might not always work, if at least one light is always wanted to appear.

| uploaded an example ingame situation...
#7 - 2011-04-08 23:35 - danij

So the intention is to limit the maximum number of times the decoration will tile, so that a single definition is interpreted in a different manner
depending on how many potentially decorated tiles would be visible?
#8 - 2011-04-08 23:40 - danij

I think | see now where this suggestion has come from. lts because you are wanting the engine to dynamically "merge" all light decorations on a
continuous surface into one single light source. Yes?

#9 - 2011-04-08 23:56 - jimigrey

Yea, some kind of merge or limit sounds what I've been thinking. Though if the surface is large enough, then there could possibly be room for more
than one light source.

#10 - 2011-04-09 00:15 - danij

The problem with this idea is that it asks the engine to interpret your intentions in a non-trivial way for every surface in the map.

In your screenshot you are actually using the light decorations for two different purposes; 1) for halos around each individual light source 2)
large-scale sources to illuminate the surrounding area. | expect the reason you submitted this idea is because you are encountering performance
problems and that is understandable.

| also do not think this is necessary. The large scale light sources should be defined as such (not as light decorations) and manually placed in the
map. You can use a normal dynamic light or a bias light source for this.

Basically you are trying to use the light decorations for something they aren't really intended for.

#11 - 2011-05-15 17:01 - jimigrey

Allright, I'll try that instead.. | guess this will also make that other light decoration idea redundant.

#12 - 2013-10-18 21:13 - skyjake
- Tags set to Lights, Renderer
- Category set to Enhancement

- Priority changed from Normal to Lowest

#13 - 2019-11-29 15:25 - skyjake

- Status changed from New to Rejected
